﻿@charset "utf-8";
/* CSS Document */
/*styles for the HTML5 floorplan viewer toolbar */
.PanelHighlight {background-color: #e6e6e6;}  /*Assign Room Panel Highlight*/
#svgViewer { position: relative; } /*position:relative is needed so that the absolute position defined for .fmi-fp-toolbar is relative to #svgViewer, and not a parent container*/
#svgViewer {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    touch-action:none;/*disable all of the default behaviors and allow the content to handle all touch input*/
      
}
#svgViewer svg { max-height: 100%; max-width: 100%; }
#svgViewer *::selection { background:transparent; }
#svgViewer *::-moz-selection { background:transparent; }
#svgViewer *::-webkit-selection { background:transparent; }
#svgViewer { outline:none; }

#FMS_MARKUPS_COMMENTS text {
    -webkit-touch-callout: initial !important;
    -webkit-user-select: text !important;
    -khtml-user-select: initial !important;
    -moz-user-select: text !important;
    -ms-user-select: text !important;
    -ms-touch-action: auto !important;
    user-select: text !important;
    touch-action: auto !important;
}
#FMS_MARKUPS_COMMENTS *::selection { background: #3399FF !important; }
#FMS_MARKUPS_COMMENTS *::-moz-selection { background:#3399FF !important; }

.fmi-fp-toolbar {text-align:center; padding:2px;position:absolute; top:0; left:0; right:0;}
.fmi-fp-toolbar-container, .fmi-fp-panel-toolbar-container {padding:1px 0 0 1px;}
.fmi-fp-toolbar-container {

}

.fmi-toolbar-menu-group { display: block; float: left; text-align:left;}
.fmi-toolbar-button-group { display: block; float: right; text-align:left;}
.fmi-toolbar-button-group-graphicalthemes { display: block; text-align:left;}

.fmi-fp-toolbar-container, .fmi-toolbar-button, .fmi-fp-toolbar div.RadMenu_Sitefinity, .fmi-fp-toolbar .fmi-toolbar-menu.RadComboBox > table {display:inline-block; border:1px solid #ccc; border-bottom-color:#b6b6b6;}
.fmi-fp-toolbar-container, .fmi-fp-panel-toolbar-container { background: #fcfcfc;  border-color:#eee #eee #ddd;}
.fmi-fp-panel-toolbar-container { display: inline-block; border-bottom: 1px solid #eee; width:100%; }
.fmi-toolbar-button-disabled.fmi-toolbar-button, .fmi-fp-toolbar div.fmi-toolbar-button-disabled.RadMenu, .fmi-fp-toolbar .fmi-toolbar-button-disabled.fmi-toolbar-menu > table,
.fmi-toolbar-button-disabled.fmi-toolbar-button:hover, .fmi-fp-toolbar div.fmi-toolbar-button-disabled.RadMenu:hover, .fmi-fp-toolbar .fmi-toolbar-button-disabled.fmi-toolbar-menu:hover > table 
    {border-color: #eee #eee #ddd;}

.fmi-fp-toolbar .fmi-toolbar-menu.RadComboBox > table {border-width:1px !important; border-style:solid; box-sizing:border-box;}
.fmi-toolbar-button {vertical-align:middle;}
.fmi-toolbar-button, .fmi-toolbar-menu, div.fmi-toolbar-menu.RadComboBox, .fmi-fp-toolbar div.RadMenu_Sitefinity {padding:0; margin-right:1px; margin-bottom:1px; }
.fmi-fp-toolbar div.RadMenu_Sitefinity { z-index: 5000 !important; }
.fmi-fp-icon-floor, .fmi-fp-icon-floor > table { min-width: 200px; }
.fmi-fp-icon-view, .fmi-fp-icon-view > table { min-width: 180px; }

.fmi-toolbar-menu tr.rcbReadOnly {border:1px solid #fcfdff;}
.fmi-toolbar-button-disabled.fmi-toolbar-menu tr.rcbReadOnly {border:1px solid #fdfcfd;}
.fmi-toolbar-button div.fmi-toolbar-icon {border:1px solid #fcfdff; width:26px; height:26px; background:url(images/fmi-floorplan-toolbar-icons-24.png) left center no-repeat;}
.fmi-toolbar-button-colorpicker { width: 26px !important; height: 26px !important; border: 1px solid #fcfdff !important; }
.fmi-toolbar-button-disabled.fmi-toolbar-button div.fmi-toolbar-icon {border:1px solid #fdfcfd;}
.fmi-toolbar-button:hover, 
.fmi-toolbar-menu:hover, 
.fmi-toolbar-menu.RadComboBox:hover .rcbReadOnly .rcbInput, 
.fmi-toolbar-menu.RadComboBox:hover .rcbReadOnly .rcbArrowCell a,
.fmi-fp-toolbar .RadMenu:hover
	{cursor:pointer;}
.fmi-toolbar-button-disabled.fmi-toolbar-button:hover, 
.fmi-toolbar-button-disabled.fmi-toolbar-menu:hover, 
.fmi-toolbar-button-disabled.fmi-toolbar-menu.RadComboBox:hover .rcbReadOnly .rcbInput, 
.fmi-toolbar-button-disabled.fmi-toolbar-menu.RadComboBox:hover .rcbReadOnly .rcbArrowCell a,
.fmi-fp-toolbar .fmi-toolbar-button-disabled.RadMenu:hover, .fmi-fp-toolbar .fmi-toolbar-button-disabled.RadMenu:hover a.rmLink
	{cursor:default;}


.fmi-fp-toolbar div.RadMenu_Sitefinity *, .fmi-toolbar-menu td.rcbInputCell.rcbInputCellLeft > input { color: #000; }

.fmi-fp-icon-zoomrect div.fmi-toolbar-icon {background-position:1px -99px;}
.fmi-fp-icon-fit div.fmi-toolbar-icon {background-position: 1px -199px;} 
.fmi-fp-icon-zoomout div.fmi-toolbar-icon {background-position:1px -299px ;}
.fmi-fp-icon-zoomin div.fmi-toolbar-icon {background-position:1px -399px ;}
.fmi-fp-icon-people div.fmi-toolbar-icon {background-position:1px -499px ;}
.fmi-fp-icon-theming div.fmi-toolbar-icon {background-position:1px -999px ;}
.fmi-fp-icon-fullscreen div.fmi-toolbar-icon {background-position:1px -599px ;}
.fmi-fp-icon-help div.fmi-toolbar-icon {background-position:1px -1099px ;}
.fmi-fp-icon-refresh div.fmi-toolbar-icon {background-position:1px -1199px ;}
.fmi-fp-icon-savetheme div.fmi-toolbar-icon {background-position:1px -1299px ;}
.fmi-fp-icon-saveastheme div.fmi-toolbar-icon {background-position:1px -1399px ;}
.fmi-fp-icon-opentheme div.fmi-toolbar-icon {background-position:1px -1499px ;}
.fmi-fp-icon-placelegend div.fmi-toolbar-icon {background-position:1px -1599px ;}
.fmi-fp-icon-placefloor div.fmi-toolbar-icon {background-position:1px -1699px ;}
.fmi-fp-icon-fielddisplay div.fmi-toolbar-icon {background-position:1px -1799px ;}
.fmi-fp-icon-peoplesearch div.fmi-toolbar-icon {background-position:1px -1899px ;}
.fmi-fp-icon-peopleunass div.fmi-toolbar-icon {background-position:1px -1999px ;}
.fmi-fp-icon-move div.fmi-toolbar-icon {background-position:1px -2099px ;}
.fmi-fp-icon-exitfull div.fmi-toolbar-icon, .fmi-fp-icon-fullscreen.fmi-toolbar-button-enabled div.fmi-toolbar-icon {background-position:1px -699px ;}
.fmi-fp-icon-floorplanmarkups div.fmi-toolbar-icon {background-position:1px -2199px ;}
.fmi-fp-icon-linewidth div.fmi-toolbar-icon {background-position:1px -2299px ;}
.fmi-fp-icon-measure div.fmi-toolbar-icon {background-position:1px -2399px ;}
.fmi-fp-icon-polyline div.fmi-toolbar-icon {background-position:1px -2499px ;}
.fmi-fp-icon-rect div.fmi-toolbar-icon {background-position:1px -2599px ;}
.fmi-fp-icon-text div.fmi-toolbar-icon {background-position:1px -2699px ;}
.fmi-fp-icon-tag div.fmi-toolbar-icon {background-position:1px -2899px ;}
.fmi-fp-icon-circle div.fmi-toolbar-icon {background-position:1px -3099px ;}
.fmi-fp-icon-measurerect div.fmi-toolbar-icon {background-position:1px -3199px ;}
.fmi-fp-icon-floorplanheatmaps div.fmi-toolbar-icon {background:url(images/icon-add-site-hover.png) no-repeat; background-size:cover;}
.fmi-fp-icon-floorplanheatmap-gesensors div.fmi-toolbar-icon {background:url(images/icon_add_newbuilding_sp.png) no-repeat; background-size:cover;}
.fmi-fp-icon-floorplanheatmap-creesensors div.fmi-toolbar-icon {background:url(images/icon_add_building_sp.png) no-repeat; background-size:cover;}

.fmi-toolbar-menu td.rcbInputCell.rcbInputCellLeft > input {padding:0 0 0 28px !important; min-height:26px; background:transparent !important; box-sizing:border-box; pointer-events: none;}
.fmi-toolbar-menu.fmi-markup-no-icon td.rcbInputCell.rcbInputCellLeft > input {padding:0 0 0 2px !important; min-height:26px; background:transparent !important; box-sizing:border-box; pointer-events: none;}
.fmi-toolbar-menu-group .fmi-toolbar-menu .rcbInputCellLeft {padding-right: 0 !important;}
.fmi-toolbar-menu.fmi-fp-icon-floor td.rcbInputCell.rcbInputCellLeft {background:url(images/fmi-floorplan-toolbar-icons-24.png) 1px -799px no-repeat;}
.fmi-toolbar-menu.fmi-fp-icon-view td.rcbInputCell.rcbInputCellLeft, select.ddl-select-box {background:url(images/fmi-floorplan-toolbar-icons-24.png) 1px -899px no-repeat;}
.fmi-toolbar-menu.fmi-fp-icon-linewidth td.rcbInputCell.rcbInputCellLeft {background:url(images/fmi-floorplan-toolbar-icons-24.png) 1px -2299px no-repeat;}

/*disabled icons*/
.fmi-toolbar-button-disabled.fmi-fp-icon-zoomrect div.fmi-toolbar-icon {background-position:-999px -99px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-fit div.fmi-toolbar-icon {background-position: -999px -199px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-zoomout div.fmi-toolbar-icon {background-position:-999px -299px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-zoomin div.fmi-toolbar-icon {background-position:-999px -399px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-people div.fmi-toolbar-icon {background-position:-999px -499px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-theming div.fmi-toolbar-icon {background-position:-999px -999px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-fullscreen div.fmi-toolbar-icon {background-position:-999px -599px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-help div.fmi-toolbar-icon {background-position:-999px -1099px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-refresh div.fmi-toolbar-icon {background-position:-999px -1199px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-savetheme div.fmi-toolbar-icon {background-position:-999px -1299px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-saveastheme div.fmi-toolbar-icon {background-position:-999px -1399px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-opentheme div.fmi-toolbar-icon {background-position:-999px -1499px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-placelegend div.fmi-toolbar-icon {background-position:-999px -1599px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-placefloor div.fmi-toolbar-icon {background-position:-999px -1699px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-fielddisplay div.fmi-toolbar-icon {background-position:-999px -1799px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-peoplesearch div.fmi-toolbar-icon {background-position:-999px -1899px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-peopleunass div.fmi-toolbar-icon {background-position:-999px -1999px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-move div.fmi-toolbar-icon {background-position:-999px -2099px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-exitfull div.fmi-toolbar-icon, .fmi-fp-icon-fullscreen.fmi-toolbar-button-enabled div.fmi-toolbar-icon {background-position:-999px -699px ;}
.fmi-toolbar-button-disabled.fmi-toolbar-menu.fmi-fp-icon-floor td.rcbInputCell.rcbInputCellLeft {background-position:-999px -799px;}
.fmi-toolbar-button-disabled.fmi-toolbar-menu.fmi-fp-icon-view td.rcbInputCell.rcbInputCellLeft {background-position:-999px -899px;}
.fmi-toolbar-button-disabled.fmi-fp-icon-floorplanmarkups div.fmi-toolbar-icon {background-position:-999px -2199px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-linewidth div.fmi-toolbar-icon {background-position:-999px -2299px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-measure div.fmi-toolbar-icon {background-position:-999px -2399px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-polyline div.fmi-toolbar-icon {background-position:-999px -2499px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-rect div.fmi-toolbar-icon {background-position:-999px -2599px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-text div.fmi-toolbar-icon {background-position:-999px -2699px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-tag div.fmi-toolbar-icon {background-position:-999px -2899px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-circle div.fmi-toolbar-icon {background-position:-999px -3099px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-measurerect div.fmi-toolbar-icon {background-position:-999px -3199px ;}
.fmi-toolbar-button-disabled.fmi-fp-icon-linecolor div.fmi-toolbar-icon {filter: alpha(opacity=50); opacity: .5;}

.fmi-toolbar-menu table tr.rcbReadOnly td.rcbArrowCell  {background:url(images/fmi-floorplan-toolbar-icons-24.png) right top no-repeat;background-position:right top !important;}
.fmi-toolbar-button-disabled.fmi-toolbar-menu table tr.rcbReadOnly td.rcbArrowCell, .fmi-toolbar-button-disabled.fmi-toolbar-menu td.rcbInputCell.rcbInputCellLeft > input, .fmi-fp-toolbar .fmi-toolbar-button-disabled.RadMenu .rmRootGroup > .rmItem { filter: alpha(opacity=50); opacity: .5; }


.fmi-fp-toolbar .RadMenu .rmRootGroup .rmRootLink, .fmi-fp-toolbar .RadMenu .rmRootGroup .rmRootLink:hover { padding-right: 14px; width:auto !important; } 
.fmi-fp-toolbar .RadMenu .rmRootGroup > .rmItem { padding: 0px 5px; height:26px; display:table-cell; vertical-align:middle; background:url(images/fmi-floorplan-toolbar-icons-24.png) right top no-repeat transparent; float:none;}
.fmi-toolbar-button-disabled.fmi-fp-toolbar .RadMenu .rmRootGroup > .rmItem { filter: alpha(opacity=50); opacity: .5; }
.fmi-fp-toolbar .RadMenu .rmHorizontal .rmItem .rmRootLink .rmText { padding: 0 5px; } 

.fmi-toolbar-menu table td.rcbInputCell, .fmi-toolbar-menu table td.rcbArrowCell {background-image:none; background:transparent; padding-left:0;}

.fmi-fp-toolbar .RadMenu {float:none; display:inline-block; vertical-align:middle;  border:1px solid #ccc; margin-bottom: 1px; margin-right: 1px;}
.fmi-fp-toolbar .RadMenu .rmRootGroup.rmHorizontal, .fmi-fp-toolbar .RadMenu:hover .rmRootGroup.rmHorizontal { border: 1px solid #fcfdff !important; background-color: transparent; background-image: none; }

.fmi-toolbar-button:active:hover, .fmi-toolbar-button.fmi-toolbar-button-enabled, .fmi-toolbar-button.fmi-toolbar-button-enabled:hover {background-color:#eaf6fd; border: 1px solid #397db5;}
.fmi-toolbar-button:hover, .fmi-fp-toolbar .RadMenu:hover,  .fmi-toolbar-menu:hover > table, div.fmi-toolbar-menu.RadComboBox:hover > table, .fmi-fp-panel-toolbar-container .fmi-fp-icon-help:hover
	{background-color:#eaf6fd; border-color:#88b1d3; }
.fmi-toolbar-button, .fmi-toolbar-button-disabled.fmi-toolbar-button, 
.fmi-fp-toolbar div.RadMenu, .fmi-fp-toolbar div.fmi-toolbar-button-disabled.RadMenu, 
.fmi-toolbar-menu > table, .fmi-toolbar-button-disabled.fmi-toolbar-menu > table, 
div.fmi-toolbar-menu.RadComboBox > table, div.fmi-toolbar-button-disabled.fmi-toolbar-menu.RadComboBox > table
	{background-color:#fafafa;}

/*Help button*/
.fmi-fp-panel-toolbar-container .fmi-fp-icon-help { float: right; margin-right:6px; margin-top:6px; border: 1px solid #90c9e1; background:#f6fcff; }
.fmi-fp-panel-toolbar-container .fmi-fp-icon-help div.fmi-toolbar-icon {background-position:-6px -1106px ; height:12px; width:12px; border:1px solid #fff;}


/*spatial hierarchy styles*/
#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown { background: #fdfdfd; border: 1px solid #d9d9d9; border-bottom: 1px solid #c3c3c3; }
#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown .fmi-spatial-select { width: 100%; }
#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown .rcbItem { padding: 0; }
#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown #upnlListSpatial .fmi-spatial-selection { margin-right:0; position:relative;}
#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown #upnlListSpatial .fmi-spatial-input { border-right: 1.55em solid #eee;
    box-sizing: border-box;
    height:1.55em;
    line-height: 1.25em;
    margin: 0;
    padding: 0.15em 3px .15em 1px;
    width: 99%;}
#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown #upnlListSpatial .fmi-spatial-clear { display: none !important; }
#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown #upnlListSpatial .fmi-spatial-select[style*="block"] { display: inline !important; position: absolute; bottom: 0; right: 0; width: 1.55em; height: 1.55em; text-indent:-90000px; padding:0; border:1px solid #8e8e8e; box-sizing:border-box;
    background:url("Images/icon-select.png") no-repeat center center; background-color:#fafafa ; 
}

#fmiSvgFloorPlan_ddlSiteBldgFloor_DropDown #upnlListSpatial .fmi-spatial-select[style*="block"]:hover { border: 1px solid #397db5; 
    background: url("Images/icon-select.png") no-repeat center center; background-color:#eaf6fd; 
}

.cursor-zoom {
    cursor:url(./App_Themes/Default/Images/cursor-zoomrect.cur), auto;
    cursor:url(images/cursor-zoomrect.png) 0 0, auto;
}
.cursor-pan {
    cursor:url(./App_Themes/Default/Images/cursor-pan.cur), auto;
    cursor:url(images/cursor-pan.png) 0 0, auto;
}
.cursor-multi {
    cursor:url(./App_Themes/Default/Images/cursor-multiselect.cur), auto;
    cursor:url(images/cursor-multiselect.png) 0 0, auto;
}
[draggable="true"] {
    cursor: move;
    -khtml-user-drag: element;
    -webkit-user-drag: element;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.cursor-asset  {
    cursor: crosshair;
}
#legendRect {
    cursor: move;
    fill: rgba(150, 150, 150, 0.275);
}

/* for hatched rooms */
.fmx5-hover, .fmx5-ar-hover {
	opacity: 0.2;
}
/* for transparent rooms */
.fmx5-hover[fill="transparent"], .fmx5-ar-hover[fill="transparent"] {
	fill: #e6e6e6; fill:rgba(130,130,130,.2); opacity:1;
}
svg text {pointer-events:none;} /*ignore mouse events for all <text> elements*/
.fmi-fp-assignrooms .fmi-fp-ar-name {pointer-events:all;} /*enable mouse events for names during Assign Rooms mode only*/
.fmi-fp-assignrooms-ie10 .fmi-fp-ar-name-ie10 {pointer-events:all;} /*enable mouse events for names during Assign Rooms mode only for IE10 */
#floorDetailsRect {
    cursor: move;
    fill: rgba(150, 150, 150, 0.275);
}
#scaleBarRect{
    cursor: move;
    fill: rgba(150, 150, 150, 0.275);
}

.cursor-drawing { cursor: crosshair; }
.cursor-drawing-comment { cursor: text; }

.fmi-fp-icon-closepeoplesensing {
    border: none;
    width: 130px;
    vertical-align: middle;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    background: url(App_Themes/Default/Images/close.gif) no-repeat right;
    height: 30px;
    display: table-cell;
    float: none;
    padding: 0px 5px;
}

#divPeoplesensing {
    display: none;
    border: none;
}

#text-setting .RadEditor_Default {
    background-color: #fff !important;
}
#text-setting .RadEditor {
    border-style: none !important;
}
.ddl-select-box{height:30px !important;border: 1px solid #c3c3c3;padding-left:25px !important;width:100%;}

/* Safari 11+ */
@media not all and (min-resolution:.001dpcm)
{ @supports (-webkit-appearance:none) and (stroke-color:transparent) {

    .ddl-select-box{
        text-indent: 23px;
    }
}}
.graphic-view-opt-label{background-color: #CCCCCC;font-weight: bold;color:#0e0e0e;}

/* BEGIN: Manage Room Anno */

.fmi-fp-icon-text-color div.fmi-toolbar-icon {background:url(Images/Font_Color_Black.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-font-size div.fmi-toolbar-icon {background:url(Images/Font_Size.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-spacing-up div.fmi-toolbar-icon {background:url(Images/MoveUp.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-spacing-down div.fmi-toolbar-icon {background:url(Images/MoveDown.png) no-repeat center;background-size:80%;}

.fmi-fp-icon-offset-left div.fmi-toolbar-icon {background:url(Images/DecreaseIndent.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-offset-right div.fmi-toolbar-icon {background:url(Images/IncreaseIndent.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-rotation div.fmi-toolbar-icon {background:url(Images/Rotate.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-rotation-roomtag div.fmi-toolbar-icon {background:url(Images/RoomTag_Rotate.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-just-left div.fmi-toolbar-icon {background:url(Images/JustifyLeft_CenterPoint.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-just-center div.fmi-toolbar-icon {background:url(Images/JustifyCenter_CenterPoint.png) no-repeat center;background-size:80%;}
.fmi-fp-icon-just-right div.fmi-toolbar-icon {background:url(Images/JustifyRight_CenterPoint.png) no-repeat center;background-size:80%;}

.fmi-toolbar-button.fmi-fp-icon-font-size > input[type=number],.fmi-toolbar-button.fmi-fp-icon-deg > input[type=number],.fmi-toolbar-button.fmi-fp-icon-deg-roomtag > input[type=number]  {height: 48px !important;width: 74px !important;-moz-box-sizing: border-box;-webkit-box-sizing: border-box;box-sizing: border-box;border: none;text-align: center;font-size: 24px;-moz-appearance: textfield;}
.fmi-toolbar-button.fmi-fp-icon-font-size > input[type=number]::-webkit-inner-spin-button,.fmi-toolbar-button.fmi-fp-icon-deg > input[type=number]::-webkit-inner-spin-button,.fmi-toolbar-button.fmi-fp-icon-deg-roomtag > input[type=number]::-webkit-inner-spin-button,
.fmi-toolbar-button.fmi-fp-icon-font-size > input[type=number]::-webkit-outer-spin-button,.fmi-toolbar-button.fmi-fp-icon-deg > input[type=number]::-webkit-outer-spin-button,.fmi-toolbar-button.fmi-fp-icon-deg-roomtag > input[type=number]::-webkit-outer-spin-button {-webkit-appearance: none;-moz-appearance: none;appearance: none;margin: 0;}

.fmi-toolbar-button.fmi-fp-icon-text-color.disabled,
.fmi-toolbar-button.fmi-fp-icon-font-size.disabled,
.fmi-toolbar-button.fmi-fp-icon-font-size.disabled > input[type="number"],
.fmi-toolbar-button.fmi-fp-icon-spacing-up.disabled,
.fmi-toolbar-button.fmi-fp-icon-spacing-down.disabled,
.fmi-toolbar-button.fmi-fp-icon-offset-right.disabled,
.fmi-toolbar-button.fmi-fp-icon-offset-left.disabled,
.fmi-toolbar-button.fmi-fp-icon-rotation.disabled,
.fmi-toolbar-button.fmi-fp-icon-rotation-roomtag.disabled,
.fmi-toolbar-button.fmi-fp-icon-deg.disabled,
.fmi-toolbar-button.fmi-fp-icon-deg-roomtag.disabled,
.fmi-toolbar-button.fmi-fp-icon-just-left.disabled,
.fmi-toolbar-button.fmi-fp-icon-just-center.disabled,
.fmi-toolbar-button.fmi-fp-icon-just-right.disabled,
.fmi-toolbar-button.fmi-fp-icon-deg.disabled > input[type="number"],
.fmi-toolbar-button.fmi-fp-icon-deg-roomtag.disabled > input[type="number"] {background-color: #efefef;cursor: not-allowed;}
.fmi-toolbar-button.fmi-fp-icon-rotation.selected,.fmi-toolbar-button.fmi-fp-icon-rotation-roomtag.selected {background-color: #eaf6fd;border-color: #88b1d3;}

.manage-room-item > table > thead > tr:last-child {background: #fcfcfc;}

.manage-room-anno .fmi-dialog-contents {background: #fcfcfc;}
.manage-room-anno .fmi-dialog-contents .manage-room-item {background: #fff;}
.manage-room-anno .fmi-toolbar-button-group {float: none !important;}
.manage-room-anno .fmi-toolbar-icon {height: 48px !important;width: 48px !important;-moz-box-sizing: border-box;-webkit-box-sizing: border-box;box-sizing: border-box;}
.manage-room-anno .fmi-toolbar-icon {border:none !important;}
.manage-room-anno .fmi-dialog-contents {overflow: unset;}
.manage-room-anno .manage-room-item,
.manage-room-anno .manage-room-empty-item {margin: 8px;}
.manage-room-item table {border-spacing: 0;border-collapse: collapse;width: 100%;table-layout: auto;display: table;border: 1px solid #ccc;}
.manage-room-item table tr th {border-bottom: 1px solid #ccc;text-align: left;}
.manage-room-item table tr th, .manage-room-item table tr td {padding: 4px;}
.manage-room-item > table > thead > tr:last-child > th,.manage-room-item table tr td:not(:nth-child(2)) {width: auto;text-align: center;}
.manage-room-item table table, .manage-room-item table table th {border:none;}
.manage-room-item.selected, .manage-anno-item.selected, .manage-room-item.selected > table > thead > tr:last-child {background: #efefef !important;}
.manage-room-item-remove {background: url(Images/icons_delete.gif) no-repeat scroll center !important;display:inline-block;height:24px;width:24px;cursor:pointer;}

/* END: Manage Room Anno */
div.searchzone-icon {
    height: 100%;
    float: right;
    vertical-align: middle;
}
div.fmi-fp-icon-peopleinzonesearch {
    border: none;
    width: 26px;
    height: 26px;
    background: url(images/fmi-floorplan-toolbar-icons-24.png) left center no-repeat;
    background-position: 1px -1899px;
    top: 50%;
    transform: translateY(26%);
    -ms-transform: translateY(26%);
    -moz-transform: translateY(26%);
    -webkit-transform: translateY(26%);
    -o-transform: translateY(26%);
}
div.fmi-fp-icon-peopleinzonesearch.less20-disabled {
    background: url(images/fmi-floorplan-toolbar-icons-24.png) left center no-repeat;
    background-position: -999px -1899px;
}
div.fmi-zone-box {
    width:1em;
    height:1em;
    float:left;
    margin: 12px 5px 12px 10px;
    border: 1px solid #ccc;
}
